using System;
using System.Collections.Generic;
using System.Text;

namespace de.WWWings
{

 /// <summary>
 /// Dies ist der Geschäftslogikmanager für die Passagiere.
 /// </summary>
 public class Passagier_BLManager
 {

  public static void NeuerPassagier(long Personalausweisnummer, string Vorname, string Nachname, string Land, byte Kundenstatus, DateTime KundenstatusSeit)
  {
   DAL.Passagier_DataManager_ST.Anlegen(Personalausweisnummer, Vorname, Nachname, Land, Kundenstatus, KundenstatusSeit);
  }

  public static void NeuerPassagier(string Name, string EMail)
  {
   //TODO
  }
  
  public static long HolePassagierNummer(string Vorname, string Nachname)
  {
   return DAL.Passagier_DataManager_ST.HolePassagierNummer(Vorname, Nachname);
  }

  public static long HolePassagierNummer(string Name)
  {
   string Vorname = Name.Split(' ')[0];
   string Nachname = Name.Split(' ')[1];
   return DAL.Passagier_DataManager_ST.HolePassagierNummer(Vorname, Nachname);
  }

  public static PassagierSystem.Passagier HolePassagier(long PassagierNummer)
  {
   System.Data.DataRow dr = DAL.Passagier_DataManager_ST.HolePassagier(PassagierNummer);
   return ORM.ORM_Passagier.MapRow(dr);
  }

  public static PassagierSystem.PassagierMenge HoleAlle()
  {
   System.Data.DataTable dt = DAL.Passagier_DataManager_ST.AllePassagiere();
   return ORM.ORM_Passagier.MapTable(dt);
  }


  /// <summary>
  /// Zähle die Anzahl der Passagiere in der Datenbank
  /// </summary>
  /// <returns>Gesamtanzahl der Passagiere</returns>
  public static System.Int32 AnzahlPassagiere()
  {
   return DAL.Passagier_DataManager_ST.CountPassagiere();
  }

 }
}
